Skip to content
Navigation

Generate SOW from user stories

Use AI to generate a Statement of Work structure from selected user stories

POST
https://api.testandaccept.com/api/rest/user-stories/generate-sow

Authorization

  • bearerAuth
    HTTP Bearer (tnda_ token)
    required

Request body JSON required

  • storyIds
    array of
    string
    required
    format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
  • projectId
    string
    required
    format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
  • generateTests
    optional
    boolean
    default: true
  • organizationStyle
    optional
    hierarchical
    or
    flat
    or
    feature-based
    default: "hierarchical"

Returns

200

Successful response

JSON
  • sowProposal
    object
    required
    • title
      string
      required
    • description
      string
      required
  • taskProposals
    array of
    object
    required
    • title
      string
      required
    • description
      string
      required
    • type
      requirement
      or
      task_item
      or
      milestone
      or
      deliverable
      required
    • priority
      low
      or
      medium
      or
      high
      or
      critical
      required
    • acceptanceCriteria
      optional
      array of
      string
    • linkedStepIds
      optional
      array of
      string
  • stepMappings
    array of
    object
    required
    • stepId
      string
      required
    • taskIndex
      number
      required
  • coverageAnalysis
    object
    required
    • storiesCovered
      number
      required
    • coveragePercentage
      number
      required
    • gaps
      array of
      string
      required

400

Invalid input data
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

401

Authorization not provided
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

403

Insufficient access
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

500

Internal server error
JSON
  • message
    string
    required

    The error message

  • code
    string
    required

    The error code

  • issues
    optional
    array of
    object

    An array of issues that were responsible for the error

    • message
      string
      required

Type to search…

↑↓ navigate↵ selectEsc close